Ostatnie wiadomości

Strony: 1 [2] 3 4 ... 10
11
POLAUR / Odp: Otter-Browser nowe wcielenie
« Ostatnia wiadomość wysłana przez pavbaranov dnia Listopad 12, 2015, 08:48:01 »
W wersji tygodniowej #97 w sumie sporo zmian.
PKGBUILD wersji opartej o QtWebKit:
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=97
_pkgname=otter-browser-webkit-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebkit version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webkit' 'qt5-script' 'qt5-multimedia' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser-0.9.*' 'otter-browser-beta*')
provides=('otter-browser*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('7e9bab161f0e5801115a3cd230c7a73e')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr"
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
PKGBUILD wersji opartej o QtWebEngine:
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=97
_pkgname=otter-browser-webengine-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
weekver=$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebengine version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webengine>=5.5' 'qt5-script>=5.5' 'qt5-multimedia>=5.5' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools>=5.5')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser*' 'otter-browser-beta*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('7e9bab161f0e5801115a3cd230c7a73e')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr" \
        -DEnableQtwebengine=ON
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
12
POLAUR / Odp: Otter-Browser nowe wcielenie
« Ostatnia wiadomość wysłana przez pavbaranov dnia Listopad 04, 2015, 13:14:16 »
Wersja #96:
PKGBUILD dla QtWebKit:
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=96
_pkgname=otter-browser-webkit-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebkit version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webkit' 'qt5-script' 'qt5-multimedia' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser-0.9.*' 'otter-browser-beta*')
provides=('otter-browser*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('c23e844954ff576fe5d49b39c111f108')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr"
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}

PKGBUILD dla QtWebEngine:
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=96
_pkgname=otter-browser-webengine-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
weekver=$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebengine version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webengine>=5.5' 'qt5-script>=5.5' 'qt5-multimedia>=5.5' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools>=5.5')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser*' 'otter-browser-beta*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('c23e844954ff576fe5d49b39c111f108')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr" \
        -DEnableQtwebengine=ON
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
13
POLAUR / Odp: Otter-Browser nowe wcielenie
« Ostatnia wiadomość wysłana przez pavbaranov dnia Październik 28, 2015, 12:43:53 »
Wersja #95:
PKGBUILD dla wersji opartej o qtwebkit:
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=95
_pkgname=otter-browser-webkit-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebkit version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webkit' 'qt5-script' 'qt5-multimedia' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser-0.9.*' 'otter-browser-beta*')
provides=('otter-browser*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('0fb2dc782aeb8f7d3a69a0c70223efbf')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr"
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}

PKGBUILD dla wersji opartej o qtwebengine:
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=95
_pkgname=otter-browser-webengine-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
weekver=$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebengine version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webengine>=5.5' 'qt5-script>=5.5' 'qt5-multimedia>=5.5' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools>=5.5')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser*' 'otter-browser-beta*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('0fb2dc782aeb8f7d3a69a0c70223efbf')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr" \
        -DEnableQtwebengine=ON
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
14
POLAUR / Odp: Otter-Browser nowe wcielenie
« Ostatnia wiadomość wysłana przez pavbaranov dnia Październik 22, 2015, 10:13:53 »
Wersja #94:
PKGBUILD dla wersji opartej o qtwebkit:
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=94
_pkgname=otter-browser-webkit-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebkit version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webkit' 'qt5-script' 'qt5-multimedia' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser-0.9.*' 'otter-browser-beta*')
provides=('otter-browser*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('5c3280f81b173e3b2cce27eb3a3799fd')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr"
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
PKGBUILD dla wersji opartej o qtwebengine
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=94
_pkgname=otter-browser-webengine-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
weekver=$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebengine version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webengine>=5.5' 'qt5-script>=5.5' 'qt5-multimedia>=5.5' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools>=5.5')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser*' 'otter-browser-beta*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('5c3280f81b173e3b2cce27eb3a3799fd')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr" \
        -DEnableQtwebengine=ON
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
15
POLAUR / Odp: QMPlay2 dla Qt5
« Ostatnia wiadomość wysłana przez pavbaranov dnia Październik 19, 2015, 13:09:18 »
Wersja 15.10.08:
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.10.18
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.xz")
md5sums=('ee8f1d0c2dca3dd0862bdeca816cde0d')

build()
{
        cd $srcdir/QMPlay2-src-$pkgver/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src-$pkgver/app $pkgdir/usr
}
16
POLAUR / Odp: LibreOffice - wersje kandydujące
« Ostatnia wiadomość wysłana przez pavbaranov dnia Październik 14, 2015, 18:43:15 »
Pierwsza przymiarka do LO 5.0.3:
PKGBUILD
pkgname=libreoffice-rpm-rc-pl
pkgver=5.0.3.1
pkgrel=2
pkgdesc="LGPL Office Suite installed from rpms"
arch=('any')
url='http://www.libreoffice.org'
license=('LGPL')
conflicts=('libreoffice-fresh-rpm')
depends=('glibc>=2.5' 'gtk2>=2.10.4' 'xorg-server')
makedepends=('curl' 'awk')
optdepends=('jre7-openjdk' 'gtk3' 'gst-plugins-base' 'gst-plugins-good' 'gst-plugins-bad' 'gst-plugins-ugly')
source=("http://download.documentfoundation.org/libreoffice/testing/5.0.3/rpm/x86_64/LibreOffice_5.0.3.1_Linux_x86-64_rpm.tar.gz"
"http://download.documentfoundation.org/libreoffice/testing/5.0.3/rpm/x86_64/LibreOffice_5.0.3.1_Linux_x86-64_rpm_helppack_pl.tar.gz"
"http://download.documentfoundation.org/libreoffice/testing/5.0.3/rpm/x86_64/LibreOffice_5.0.3.1_Linux_x86-64_rpm_langpack_pl.tar.gz")

package() {   ## package function

## check kernel version to allow arbitrarily patched kernels
min_kernMajor=2;
min_kernMinor=6;
min_kernRelease=18;
## in bash, we need to split kernVer assigning into 2 steps
tmp_kernVer=$(uname -r);
new_kernVer=${tmp_kernVer%%-*}
kernVer=(${new_kernVer//./ });
## remove temporary variables
unset new_kernVer tmp_kernVer;

if [ ${kernVer[0]} -le $min_kernMajor ]; then
   if [ ${kernVer[1]} -le $min_kernMinor ]; then
      if [ ${kernVer[2]} -lt $min_kernRelease ]; then
         msg "The kernel version needs to be at least 2.6.18. The current kernel version is $(uname -r). Please update your linux kernel";
         exit;
      fi;
   fi;
fi;

cd ${srcdir};  ## enter the package source directory
## extract rpms and install them
for a in $(ls -d */); do  ## loop for all directories found
  cd "${srcdir}/${a}/RPMS";  ## enter the RPMS directory
  for b in *.rpm; do  ## loop for all rpm files found
    bsdtar -xf $b;  ## extract the rpm files
  done;
 
  cp -rf */ ${pkgdir}/;  ## copy and merge all found directories to the package directory

  ## change the permissions for files that shouldn't be executable
  declare -a wrongexec=("opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/CREDITS.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/LICENSE.fodt" "opt/libreoffice$(echo $pkgver | awk -F'.' 'OFS="." {print $1,$2}')/NOTICE");  ## set the array to change permissions
  for a in ${wrongexec[@]}; do
    chmod 644 ${pkgdir}/$a; ## change permissions to read/write for root, read only for users
  done;
done;

}
md5sums=('ec091ea15162b0e38c699bd39869a01e'
         'ddea4fda613ab9e98b7d59d78f0e2444'
         '10c92350ea7491a5f07ed10f3881f54d')
17
POLAUR / Odp: Otter-Browser nowe wcielenie
« Ostatnia wiadomość wysłana przez pavbaranov dnia Październik 13, 2015, 15:29:17 »
Wersja #93:
PKGBUILD.qtwebkit
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=93
_pkgname=otter-browser-webkit-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebkit version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webkit' 'qt5-script' 'qt5-multimedia' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser-0.9.*' 'otter-browser-beta*')
provides=('otter-browser*')
install=otter.install
#source=('https://codeload.github.com/OtterBrowser/otter-browser/zip/v0.9.07-dev82')
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('bf68546acad4ad6d9ee5aa524a5735e7')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr"
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
PKGBUILD.qtwebengine
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=93
_pkgname=otter-browser-webengine-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
weekver=$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebengine version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webengine>=5.5' 'qt5-script>=5.5' 'qt5-multimedia>=5.5' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools>=5.5')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser*' 'otter-browser-beta*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('bf68546acad4ad6d9ee5aa524a5735e7')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr" \
        -DEnableQtwebengine=ON
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
18
POLAUR / Odp: Otter-Browser nowe wcielenie
« Ostatnia wiadomość wysłana przez pavbaranov dnia Październik 07, 2015, 13:26:24 »
Wersja #92:
PKGBUILD.qtwebkit
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=92
_pkgname=otter-browser-webkit-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebkit version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webkit' 'qt5-script' 'qt5-multimedia' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser-0.9.*' 'otter-browser-beta*')
provides=('otter-browser*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('77dd7e2bbbee01b177e9e7121bcaeed2')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr"
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
PKGBUILD.qtwebengine
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=92
_pkgname=otter-browser-webengine-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
weekver=$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebengine version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webengine>=5.5' 'qt5-script>=5.5' 'qt5-multimedia>=5.5' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools>=5.5')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser*' 'otter-browser-beta*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('77dd7e2bbbee01b177e9e7121bcaeed2')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr" \
        -DEnableQtwebengine=ON
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
19
POLAUR / Odp: QMPlay2 dla Qt5
« Ostatnia wiadomość wysłana przez pavbaranov dnia Październik 04, 2015, 11:03:14 »
Zdaje się, że w zeszłym miesiącu zapomniałem, zatem śpieszę naprawić wraz z wersją 15.10.03:
PKGBUILD
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.10.03
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('f7106cc7ced23bb79cbc6dfbc4f24a84')

build()
{
        cd $srcdir/QMPlay2-src/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src/app $pkgdir/usr
}
20
POLAUR / Odp: Otter-Browser nowe wcielenie
« Ostatnia wiadomość wysłana przez pavbaranov dnia Październik 01, 2015, 11:18:27 »
Tydzień 91, wersja również :)
PKGBUILD.qtwebengine
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=91
_pkgname=otter-browser-webengine-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
weekver=$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebengine version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webengine>=5.5' 'qt5-script>=5.5' 'qt5-multimedia>=5.5' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools>=5.5')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser*' 'otter-browser-beta*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('b8b53dbd90149ac78e327ae85d7c47a8')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr" \
        -DEnableQtwebengine=ON
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
PKGBUILD.qtwebkit
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

# Full pkgname # Do no edit below this line unless you know what you're doing

_pkgver=0.9.08
_weekver=91
_pkgname=otter-browser-webkit-weekly

################################################

pkgname=$_pkgname
__pkgname=otter-browser
pkgver=$_pkgver.$_weekver
pkgrel=1
pkgdesc="Browser aiming to recreate classic Opera (12.x) UI using Qt5 - qtwebkit version."
arch=('i686' 'x86_64')
url="http://$pkgname.org"
license=('GPL3')
depends=('qt5-webkit' 'qt5-script' 'qt5-multimedia' 'hicolor-icon-theme' 'desktop-file-utils')
makedepends=('cmake' 'qt5-tools')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser-0.9.*' 'otter-browser-beta*')
provides=('otter-browser*')
install=otter.install
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('b8b53dbd90149ac78e327ae85d7c47a8')

build() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr"
  make
}

package() {
  cd ${__pkgname}-${_pkgver}-dev${_weekver}
  make DESTDIR=$pkgdir install
}
Strony: 1 [2] 3 4 ... 10
Polityka cookies
Darmowe Fora | Darmowe Forum
brygadaszarika dzikie-koty etavlon gra rasa-nocna